<?php $device_type = cmsRequest::getDeviceType(); ?>
<div class="widget<?php if ($widget['class_wrap']) { ?> <?php echo $widget['class_wrap'];  } ?>" id="widget_wrapper_<?php echo $widget['id']; ?>">
    <?php if ($widget['title'] && $is_titles){ ?>
        <div class="widget_title<?php if ($widget['class_title']) { ?> <?php echo $widget['class_title'];  } ?> for_links_switch <?php echo $device_type; ?>_title" id="widget_title<?php echo $widget['id']; ?>">
            <?php echo $widget['title']; ?>
            <?php if (!empty($widget['links'])) { ?>
			<div class="links_block" id="links_block_<?php echo $widget['id']; ?>">
				<div id="link_switch_<?php echo $widget['id']; ?>" class="links_switch"></div>
                <div id="links_<?php echo $widget['id']; ?>" class="widget_links">
                    <?php $links = string_parse_list($widget['links']); ?>
                    <?php foreach($links as $link){ ?>
                        <a href="<?php echo (strpos($link['value'], 'http') === 0) ? $link['value'] : href_to($link['value']); ?>">
                            <?php echo $link['id']; ?>
                        </a>
                    <?php } ?>
                </div>
			</div>
            <?php } ?>
        </div>
    <?php } ?>
    <div class="widget_body<?php if ($widget['class']) { ?> <?php echo $widget['class'];  } ?>">
        <?php echo $widget['body']; ?>
    </div>
    <?php if(cmsUser::isAdmin()){ ?>
        <?php include 'wrap_edit_links.tpl.php'; ?>
    <?php } ?>
</div>
<?php if($device_type != 'desktop' && !empty($widget['links'])) { ?>
	<script>
		$(function(){
			$("#link_switch_<?php echo $widget['id']; ?>").click(function(){
				$("#widget_title<?php echo $widget['id']; ?>").toggleClass("for_links_active");
			});
		});
		$(function(){
			$(document).click(function(event) {
				if ($(event.target).closest("#widget_title<?php echo $widget['id']; ?>.for_links_active .links_block").length) return;
				$("#widget_title<?php echo $widget['id']; ?>").removeClass("for_links_active");
				event.stopPropagation();
			});
		});
	</script>
<?php } ?>