.normal {
    display: block;
}
.mobile {
    display: none;
}
<?php if (!empty($this->options['logo'])){ ?>
#layout header #logo a, #layout header #logo > span {
    background-image: url("<?php echo $config->upload_root . $this->options['logo']['original']; ?>") !important;
}
<?php } ?>
#layout{
	<?php if (!empty($this->options['maximum_width'])){ ?>
		max-width: <?php echo $this->options['maximum_width']; ?>;
	<?php } else { ?>
		max-width: 1100px;
	<?php } ?>
}
header{
	<?php if (!empty($this->options['maximum_width_header'])){ ?>
		max-width: <?php echo $this->options['maximum_width_header']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
.header_nav .limiter {
	<?php if (!empty($this->options['maximum_width_header_menu'])){ ?>
		max-width: <?php echo $this->options['maximum_width_header_menu']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
.header_cont.limiter{
	<?php if (!empty($this->options['maximum_width_header_cont'])){ ?>
		max-width: <?php echo $this->options['maximum_width_header_cont']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
nav{
	<?php if (!empty($this->options['maximum_width_nav'])){ ?>
		max-width: <?php echo $this->options['maximum_width_nav']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
nav > .limiter{
	<?php if (!empty($this->options['maximum_width_nav_cont'])){ ?>
		max-width: <?php echo $this->options['maximum_width_nav_cont']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
#breadcrumbs{
	<?php if (!empty($this->options['maximum_width_breadcrumbs'])){ ?>
		max-width: <?php echo $this->options['maximum_width_breadcrumbs']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
#breadcrumbs > .limiter{
	<?php if (!empty($this->options['maximum_width_breadcrumbs_cont'])){ ?>
		max-width: <?php echo $this->options['maximum_width_breadcrumbs_cont']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
#body{
	<?php if (!empty($this->options['maximum_width_body'])){ ?>
		max-width: <?php echo $this->options['maximum_width_body']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
#body > .limiter{
	<?php if (!empty($this->options['maximum_width_body_cont'])){ ?>
		max-width: <?php echo $this->options['maximum_width_body_cont']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
footer.parent{
	<?php if (!empty($this->options['maximum_width_footer'])){ ?>
		max-width: <?php echo $this->options['maximum_width_footer']; ?>;
	<?php } else { ?>
		max-width: 100%;
	<?php } ?>
}
footer > .limiter{
	<?php if (!empty($this->options['maximum_width_footer_cont'])){ ?>
		max-width: <?php echo $this->options['maximum_width_footer_cont']; ?>;
	<?php } else { ?>
		max-width: 96%;
	<?php } ?>
}
@media screen and (max-width: <?php echo $this->options['mobile_switch']; ?>) {
	.normal {
		display: none;
	}
	.mobile {
		display: block;
	}
	#layout,
	header,
	nav,
	#breadcrumbs,
	#body,
	footer.parent{
		max-width: 100%;
	}
	.limiter{
		<?php if (!empty($this->options['maximum_width_mobile_cont'])){ ?>
			max-width: <?php echo $this->options['maximum_width_mobile_cont']; ?> !important;
		<?php } ?>
	}
	#body section, #body aside, #body .sidebar-left {
		box-sizing: border-box;
		float: none !important;
		padding: 0 !important;
		width: 100% !important;
	}
	#body aside {
		margin: 0 0 10px;
	}
	#three, #wide-bottom {
		box-sizing: border-box;
		padding: 0;
	}
	#three {
		margin: 0 0 10px;
	}
	#three > div {
		margin-right: 0;
		width: 100% !important;
	}
	#three > div:last-child {
		margin: 0;
	}
	.wide-top-l, .wide-top-r {
		box-sizing: border-box;
		float: none !important;
		padding: 0 !important;
		width: 100% !important;
	}
	footer{
		margin-top: -30px;
	}
	header .widget_user_avatar .user_info .avatar {
		margin: 4px 0 0;
	}
	header .menu > li {
		padding-left: 0;
	}
	header .menu > li > a {
		font-size: 11px;
	}
	#widget_pos_header {
		float: none;
	}
	header .widget_user_avatar .user_info {
		padding: 0 5px;
		margin-left: -5px;
	}
	header .widget_user_avatar .user_info .avatar {
		position: relative;
	}
	header .widget_user_avatar .user_info .avatar::after {
		content: "";
		cursor: pointer;
		display: block;
		height: 32px;
		left: 0;
		position: absolute;
		top: 0;
		width: 32px;
	}
	header .header_nav .widget_user_avatar .menu {
		box-sizing: border-box;
		display: none;
		float: none;
		line-height: 32px;
		max-height: 100%;
		overflow-y: auto;
		padding: 0 10px;
		position: fixed;
		right: 0;
		top: 0;
		width: 260px;
		z-index: 101;
	}
	header .widget_user_avatar .menu > li {
		float: none;
	}
	header .widget_user_avatar .menu > li a {
		font-size: 12px;
	}
	header .widget_user_avatar .menu li ul {
		border-radius: 0;
		box-shadow: none;
		margin: 0;
		position: static;
		visibility: visible;
		width: 100%;
	}
	header .widget_user_avatar .menu li ul li a {
		font-weight: 400;
		padding: 0 5px 0 10px;
	}
	header .widget_user_avatar .menu li ul li a::before {
		content: "--";
		padding-right: 5px;
	}
	.header_cont {
		padding: 10px 5px;
	}
    #layout header .header_banner {
		float: none;
		margin: 10px 0 0;
		max-width: 100%;
	}
	#layout header .header_banner img {
		margin: 0 auto;
	}
}